## nautilus-extension-types nautilus-extension-types |

## Synopsis

    #define             NAUTILUS_TYPE_OPERATION_RESULT
                        NautilusOperationHandle;
    enum                NautilusOperationResult;
    GType               nautilus_operation_result_get_type  (void);
    void                nautilus_module_initialize          (GTypeModule *module);
    void                nautilus_module_shutdown            (void);
    void                nautilus_module_list_types          (const GType **types,
                                                             int *num_types);

## Description

## Details

### NAUTILUS_TYPE_OPERATION_RESULT

    #define NAUTILUS_TYPE_OPERATION_RESULT (nautilus_operation_result_get_type ())

### NautilusOperationHandle

    typedef struct _NautilusOperationHandle NautilusOperationHandle;

### enum NautilusOperationResult

    typedef enum {
    	/* Returned if the call succeeded, and the extension is done
    	 * with the request */
    	NAUTILUS_OPERATION_COMPLETE,

    	/* Returned if the call failed */
    	NAUTILUS_OPERATION_FAILED,

    	/* Returned if the extension has begun an async operation.
    	 * If this is returned, the extension must set the handle
    	 * parameter and call the callback closure when the
    	 * operation is complete. */
    	NAUTILUS_OPERATION_IN_PROGRESS
    } NautilusOperationResult;

### nautilus_operation_result_get_type ()

    GType               nautilus_operation_result_get_type  (void);

Returns : |

### nautilus_module_initialize ()

    void                nautilus_module_initialize          (GTypeModule *module);

`module` : |

### nautilus_module_shutdown ()

    void                nautilus_module_shutdown            (void);

### nautilus_module_list_types ()

    void                nautilus_module_list_types          (const GType **types,
                                                             int *num_types);

`types` : |
`num_types` : |